> ## Documentation Index
> Fetch the complete documentation index at: https://developer.siit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Department



## OpenAPI

````yaml get /v1/departments/{uid}
openapi: 3.0.1
info:
  title: Siit Public API
  version: v0
servers:
  - url: https://api.siit.io
security: []
paths:
  /v1/departments/{uid}:
    parameters:
      - name: uid
        in: path
        description: The UID of the Department
        required: true
        schema:
          type: string
    get:
      tags:
        - Department
      summary: Retrieve a Department
      responses:
        '200':
          description: Department show
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/department'
        '404':
          description: not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors_object'
      security:
        - bearer: []
components:
  schemas:
    department:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Department
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        value:
          type: string
          description: The Department name
    errors_object:
      type: object
      properties:
        error:
          type: string
        troubleshoot:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````